Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(1188)

Unified Diff: third_party/pkg/update_di.sh

Issue 107003007: Adding Angular's DI package & Dart unittests which test it. (Closed) Base URL: https://dart.googlecode.com/svn/branches/bleeding_edge/dart
Patch Set: Created 7 years ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « third_party/pkg/di/test_tf_gen.sh ('k') | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: third_party/pkg/update_di.sh
diff --git a/third_party/pkg/update_di.sh b/third_party/pkg/update_di.sh
new file mode 100755
index 0000000000000000000000000000000000000000..2dd72bd2d1624a3c305cbe397ee769cad6319507
--- /dev/null
+++ b/third_party/pkg/update_di.sh
@@ -0,0 +1,38 @@
+#!/bin/bash
+# Copyright (c) 2013, the Dart project authors. Please see the AUTHORS file
+# for details. All rights reserved. Use of this source code is governed by a
+# BSD-style license that can be found in the LICENSE file.
+
+# bail on error
+set -e
+
+DIR=$( cd $( dirname "${BASH_SOURCE[0]}" ) && pwd )
+echo $DIR
+pushd $DIR > /dev/null
+
+echo "*** Deleting old version"
+rm -rf di
+
+echo "*** Syncing code"
+git clone https://github.com/angular/di.dart di
+
+pushd di
+REVISION=`git rev-parse HEAD`
+rm -rf .git
+
+echo "*** Generating static injector test files"
+pub install
+DART_SDK=../../../out/ReleaseIA32/dart-sdk
+$DART_SDK/bin/dart \
+ --package-root=$DART_SDK/../packages/ \
+ bin/generator.dart \
+ $DART_SDK/ \
+ test/main.dart \
+ di.tests.Injectable \
+ test/type_factories_gen.dart \
+ packages/
+
+echo "*** Cleaning up packages"
+rm -rf packages
+
+echo "*** Updated to revision $REVISION"
« no previous file with comments | « third_party/pkg/di/test_tf_gen.sh ('k') | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698